<div>
    <h5 class="mb-3">{{'techsupport.firstTitle' | translate}}</h5>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'techsupport.filter' | translate}}</span>
                <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                    <option value="" selected>{{'techsupport.date' | translate}}</option>
                    <option value="today">На сегодня</option>
                    <option value="week">За неделю</option>
                    <option value="month">За месяц</option>
                    <option value="year">За год</option>
                </select>
                <button (click)="newCandidate()" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'techsupport.add' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="listSupports?.items.length !== 0">
    <table class="table table-striped">
        <thead>
        <tr class="text-center">
            <th scope="col">ID</th>
            <th scope="col" (click)="sort('typeName')">{{'techsupport.tableTile' | translate}} <i [class]="getSortClass('typeName')"></i></th>
            <th scope="col" (click)="sort('firstName')">{{'techsupport.tableSent' | translate}} <i [class]="getSortClass('firstName')"></i></th>
            <th scope="col" (click)="sort('creationDate')">{{'techsupport.tableDate' | translate}} <i [class]="getSortClass('creationDate')"></i></th>
            <th scope="col" (click)="sort('statusName')">{{'techsupport.tableStatus' | translate}} <i [class]="getSortClass('statusName')"></i></th>
         </tr>
        </thead>

        <tbody>
            <tr *ngFor="let item of listSupports?.items; let i = index" (click)="detail(item?.id)">
                <td>{{item?.id}}</td>
                <td>{{item?.type?.name}}</td>
                <td>{{getFullName(item?.user)}}</td>
                <td>{{item?.creationDate | date: 'dd MMMM yyyy, HH:mm'}}</td>
                <td>
                    <div class="status mx-auto text-nowrap">{{item?.status?.name}}</div>
                </td>
            </tr>
        </tbody>
    </table>
    <ngb-pagination [collectionSize]="listSupports?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
    <app-empty-list *ngIf="listSupports?.items.length === 0"></app-empty-list>
</div>
